import 'package:flutter/material.dart';
import 'package:syncrow_app/features/dashboard/view/widgets/card_title.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_small.dart';
import 'package:syncrow_app/features/shared_widgets/united_text.dart';
import 'package:syncrow_app/utils/resource_manager/strings_manager.dart';

class EnergyUsageHeader extends StatelessWidget {
  const EnergyUsageHeader({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return const Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        CardTitle(
          title: StringsManager.energyUsage,
        ),
        Padding(
          padding: EdgeInsets.only(top: 10),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Column(
                mainAxisAlignment: MainAxisAlignment.start,
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  BodySmall(
                    text: StringsManager.totalConsumption,
                  ),
                  BodySmall(
                    text: "JAN 2024",
                    fontSize: 12,
                    fontColor: Colors.grey,
                  ),
                ],
              ),
              Column(
                mainAxisAlignment: MainAxisAlignment.start,
                crossAxisAlignment: CrossAxisAlignment.end,
                children: [
                  UnitedText(
                    value: "1200.00",
                    valueStyle: TextStyle(
                      fontSize: 20,
                      fontWeight: FontWeight.bold,
                      height: 0,
                    ),
                    unit: "kWh",
                  ),
                  UnitedText(
                    value: "430",
                    valueStyle: TextStyle(
                      fontSize: 14,
                      color: Colors.grey,
                    ),
                    unit: "AED",
                    unitStyle: TextStyle(
                      fontSize: 12,
                      color: Colors.grey,
                    ),
                  )
                ],
              ),
            ],
          ),
        )
      ],
    );
  }
}
